{
    "schema_version": "1.0",
    "id": "example:operation/create-video",
    "origin": "generated",
    "verification": "not_reported",
    "variants": [
        {
            "label": "curl",
            "language": "bash",
            "code": "curl https://api.vultrinference.com/v1/videos \\\n  -H \"Authorization: Bearer $VULTR_INFERENCE_API_KEY\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n    \"model\": \"minimax-h3\",\n    \"prompt\": \"A red fox trots through fresh snow at dawn, breath steaming.\",\n    \"duration\": 6,\n    \"aspect_ratio\": \"16:9\",\n    \"callback_url\": \"https://example.com/hooks/video\"\n  }'",
            "sha256": "f03b26907eb02a000e4a5950f7e45de36864689f1cc7fa09ef6ea937e777c5f1"
        },
        {
            "label": "Python",
            "language": "python",
            "code": "import os\nimport requests\n\nresponse = requests.post(\n    \"https://api.vultrinference.com/v1/videos\",\n    headers={\"Authorization\": f\"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}\"},\n    json={\n        \"model\": \"minimax-h3\",\n        \"prompt\": \"A red fox trots through fresh snow at dawn, breath steaming.\",\n        \"duration\": 6,\n        \"aspect_ratio\": \"16:9\",\n        \"callback_url\": \"https://example.com/hooks/video\",\n    },\n)\nprint(response.json())",
            "sha256": "d58cce4661b8ed07b26ade34ae23789528eb4ebd43b860daa5279ee627d9a683"
        },
        {
            "label": "JavaScript",
            "language": "javascript",
            "code": "const response = await fetch(\"https://api.vultrinference.com/v1/videos\", {\n  method: \"POST\",\n  headers: {\n    Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,\n    \"Content-Type\": \"application/json\",\n  },\n  body: JSON.stringify({\n    \"model\": \"minimax-h3\",\n    \"prompt\": \"A red fox trots through fresh snow at dawn, breath steaming.\",\n    \"duration\": 6,\n    \"aspect_ratio\": \"16:9\",\n    \"callback_url\": \"https://example.com/hooks/video\"\n  }),\n});\nconsole.log(await response.json());",
            "sha256": "641e330f0ff59440411ee6f76aa86bf8d98407f32249ab7e18c6e7072fd2a9c5"
        }
    ]
}
